. ${_EXEC}/templates/view_attendee.sh

cat <<EOF
<div class="filter">
<form action="/" method="GET">
  <div class="search">
    <span class="label">Filter:</span>
    <input type="hidden" name="page" value="attendees"/>
    <input type="text" name="filter"/>
    <input type="radio" name="filtertype" value="any" checked="checked">Alles</input>
    <input type="radio" name="filtertype" value="name">Name</input>
    <input type="radio" name="filtertype" value="street">Straße</input>
    <input type="radio" name="filtertype" value="zip">PLZ.</input>
    <input type="radio" name="filtertype" value="telephone">Telefon</input>
    <input type="radio" name="filtertype" value="birth">Geburtsjahr</input>
    <input type="radio" name="filtertype" value="course">Kurs</input>
    <button type="submit" name="action" value="new_filter">Filtern</button>
    <button type="submit" name="action" value="del_filter">Filter löschen</button>
  </div>
</form>
</div>

<div class="newcard">
<h2>Neuer Eintrag</h2>
<form action="actions/newcard.cgi" method="POST">
  <span class="label">Name:</span>
  <input type="text" name="name"/>
  <button type="submit">Anlegen</button>
</form>
</div>

<div class="cardlist">
  $(listcards |while read card; do
    echo '<div class="card">'
    view_attendee "$card"
    echo '</div>'
  done)
</div>

EOF

# vi:set filetype=html:
